package work.xuye.common.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.cloud.stream.config.ListenerContainerCustomizer;
import org.springframework.context.annotation.Configuration;
import org.springframework.kafka.listener.AbstractMessageListenerContainer;
import org.springframework.kafka.listener.DefaultErrorHandler;
import org.springframework.util.backoff.FixedBackOff;

/**
 * @author xuye
 * @since 2023/3/15 23:41
 **/
@Slf4j
@Configuration
@ConditionalOnClass(ListenerContainerCustomizer.class)
public class ContainerCustomizer implements ListenerContainerCustomizer<AbstractMessageListenerContainer<?, ?>> {
    @Override
    public void configure(AbstractMessageListenerContainer<?, ?> container, String destinationName, String group) {
        container.setCommonErrorHandler(new DefaultErrorHandler(new FixedBackOff(0L, 0L)));
    }

}
