package work.xuye.common.db.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import work.xuye.common.db.entity.vo.ParseParams;
import work.xuye.common.db.entity.vo.SinkParams;
import work.xuye.common.db.entity.vo.TransformParams;
import work.xuye.common.dto.HttpRequestParams;
import work.xuye.common.enums.ProcessMode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author xuye
 * @since 2023-03-04
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName(value = "task", autoResultMap = true)
public class Task implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("name")
    private String name;

    @TableField("description")
    private String description;

    @TableField("process_mode")
    private ProcessMode processMode = ProcessMode.NORMAL;

    @TableField(value = "request_params", typeHandler = JacksonTypeHandler.class)
    private HttpRequestParams requestParams;

    @TableField(value = "transform_params", typeHandler = JacksonTypeHandler.class)
    private TransformParams transformParams;

    @TableField(value = "parse_params", typeHandler = JacksonTypeHandler.class)
    private ParseParams parseParams;

    @TableField(value = "sink_params", typeHandler = JacksonTypeHandler.class)
    private SinkParams sinkParams;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime createTime;

    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime updateTime;

    @TableField("version")
    @Version
    private Integer version;

    @TableField("deleted")
    @TableLogic
    private Integer deleted;
}
