package work.xuye.common.db.entity.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import work.xuye.common.enums.MessageFieldType;
import work.xuye.common.enums.VariableType;

import java.util.List;

/**
 * @author xuye
 * @since 2023/3/4 13:59
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MessageTemplate {

    private String messageName;

    private List<Field> fields;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public static class Field {

        private String fieldName;

        /**
         * 变量类型：变量、固定值、空对象
         */
        private VariableType variableType = VariableType.variable;

        /**
         * 字段类型：数组、对象、字符串、数字、布尔
         */
        private MessageFieldType fieldType = MessageFieldType.string;

        private String defaultValue;

        /**
         * 固定值，仅当variableType为固定值时有效
         */
        private String fixedValue;

        /**
         * 日期格式，仅当fieldType为日期时有效
         */
        private String localDateTimePattern = "yyyy-MM-dd HH:mm:ss";

        /**
         * 子节点，仅当fieldType为数组或对象时有效
         */
        private List<Field> children;
    }
}
