package work.xuye.common.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.http.HttpMethod;
import org.springframework.http.MediaType;
import work.xuye.common.enums.RequestMode;

import java.util.Map;

/**
 * @author xuye
 * @since 2023/2/17 23:41
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class HttpRequestParams {

    private RequestMode mode = RequestMode.normal;
    private SpELConfig spELConfig;
    private String method = HttpMethod.GET.name();
    private String url;
    private Map<String, Object> body = Map.of();
    private String charset;
    private Map<String, String> headers = Map.of();
    private Map<String, String> placeholderExpressions = Map.of();
    private String mediaType = MediaType.APPLICATION_JSON_VALUE;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public static class SpELConfig {
        private String expression;

    }

}
