package work.xuye.common.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.http.HttpStatus;
import work.xuye.common.enums.ResourceStatus;

import java.util.List;
import java.util.Map;

/**
 * @author xuye
 * @since 2023/2/17 23:37
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class HttpRes {

    private HttpRequestParams requestParams;
    private ResourceStatus resourceStatus;
    private HttpStatus status = HttpStatus.OK;
    private String body;
    private Map<String, List<String>> headers = Map.of();
    private Long costTimeMillis;

    public static HttpRes build() {
        return new HttpRes();
    }

    public HttpRes body(String body) {
        this.body = body;
        return this;
    }

    public HttpRes status(HttpStatus status) {
        this.status = status;
        return this;
    }

    public HttpRes status(Integer code) {
        this.status = HttpStatus.valueOf(code);
        return this;
    }

    public HttpRes status(String code) {
        this.status = HttpStatus.valueOf(Integer.parseInt(code));
        return this;
    }

    public HttpRes headers(Map<String, List<String>> headers) {
        this.headers = headers;
        return this;
    }

    public HttpRes costTimeMillis(Long costTimeMillis) {
        this.costTimeMillis = costTimeMillis;
        return this;
    }

    public HttpRes requestParams(HttpRequestParams requestParams) {
        this.requestParams = requestParams;
        return this;
    }

}
