package work.xuye.common.enums;

import lombok.Getter;

/**
 * @author xuye
 * @since 2023/3/15 10:07
 **/
public enum ProcessReason {

    /**
     * 未更新，常规模式
     */
    unchanged("✅", "未更新，常规模式"),
    /**
     * 调试模式，强制继续执行
     */
    debug_mode("\uD83E\uDD16", "调试模式，强制继续执行"),
    /**
     * 缓存中不存在该记录
     */
    cache_not_exist("❓", "缓存中不存在该记录"),
    /**
     * 缓存中存在该记录，并且和最新状态不一致
     */
    resource_changed("\uD83D\uDD04", "缓存中存在该记录，但与最新状态不一致"),

    /**
     * 外部条件满足
     */
    external_condition("✅⚠️", "外部条件引发处理"),

    /**
     * 结束执行
     */
    end("\uD83D\uDD1A", "结束执行"),

    other("⚠️", "不应该出现的状态，如果出现了，请尽快排查");

    @Getter
    private String emoji;

    @Getter
    private String desc;

    ProcessReason(String emoji, String desc) {
        this.emoji = emoji;
        this.desc = desc;
    }
}
