package work.xuye.common.enums;

import lombok.Getter;

/**
 * @author xuye
 * @since 2023/3/8 09:12
 **/
public enum ResourceStatus {

    /**
     * 缓存中没有记录，未知状态
     */
    UNKNOWN("unknown", "❓"),
    /**
     * 缓存中有记录，且与当前md5一致，未更新
     */
    UNCHANGED("unchanged", "✅"),
    /**
     * 缓存中有记录，且与当前md5不一致，已更新
     */
    UPDATED("updated", "\uD83D\uDD04");

    @Getter
    private String name;

    @Getter
    private String emoji;

    ResourceStatus(String name, String emoji) {
        this.name = name;
        this.emoji = emoji;
    }


}
