package work.xuye.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

/**
 * @author xuye
 * @since 2023/3/6 17:35
 **/
@Data
@Component
@RefreshScope
@ConfigurationProperties(prefix = AlertProperties.PROPERTIES_PREFIX)
public class AlertProperties {

    public static final String PROPERTIES_PREFIX = "alert";

    private DingTalk dingTalk;

    private DomainName domainName;

    @Data
    public static class DingTalk {
        private String exceptionChannel;
        private String infoChannel;
    }

    @Data
    public static class DomainName {
        private String sink;
    }


}
