package work.xuye.common.properties;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

/**
 * @author xuye
 * @since 2023/3/6 17:35
 **/
@Data
@Component
@RefreshScope
@ConfigurationProperties(prefix = RedisProperties.PROPERTIES_PREFIX)
public class RedisProperties {

    public static final String PROPERTIES_PREFIX = "redis";

    private Item url = new Item("url_md5_map", 60 * 60);

    private Item message = new Item("message_md5_map", 60 * 30);

    private Item normal = new Item(null, 40);


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public static class Item {
        private String key;
        private int expireSeconds;
    }


}
