package work.xuye.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;
import work.xuye.common.constant.CommonConstants;

/**
 * @author xuye
 * @since 2023/3/6 17:35
 **/
@Data
@Component
@RefreshScope
@ConfigurationProperties(prefix = YueKeProperties.PROPERTIES_PREFIX)
public class YueKeProperties {

    public static final String PROPERTIES_PREFIX = "yueke";


    private String taskName = "yueke_json";
    private String idUrlMapName = "id_url_map";
    private String channelIdNameMap = "channel_id_name_map";

    private String secret = "Tk1xa4xNDPj8atGD5eGeXad91xQhKY";


    public String getNamespaceOfIdUrlMap() {
        return this.taskName + CommonConstants.SEPARATOR + this.idUrlMapName;
    }

    public String getNamespaceOfChannelIdNameMap() {
        return this.taskName + CommonConstants.SEPARATOR + this.channelIdNameMap;
    }


}
