package work.xuye.common.store;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;
import work.xuye.common.properties.RedisProperties;

import java.util.concurrent.TimeUnit;

/**
 * @author xuye
 * @since 2023/3/6 21:56
 **/
@Slf4j
@Component
@RequiredArgsConstructor
public class UrlMD5MapStore {

    private final RedisTemplate<String, String> redisTemplate;
    private final RedisProperties redisProperties;


    public void put(String url, String md5) {
        redisTemplate.opsForHash().put(redisProperties.getUrl().getKey(), url, md5);
        redisTemplate.expire(redisProperties.getUrl().getKey(), redisProperties.getUrl().getExpireSeconds(), TimeUnit.SECONDS);
    }

    public String get(String url) {
        return (String) redisTemplate.opsForHash().get(redisProperties.getUrl().getKey(), url);
    }

    public Long removeKey(String url) {
        return redisTemplate.opsForHash().delete(redisProperties.getUrl().getKey(), url);
    }

}
