package work.xuye.common.utils;

import lombok.extern.slf4j.Slf4j;
import org.springframework.util.ObjectUtils;

import java.time.LocalDateTime;
import java.time.ZoneOffset;

/**
 * @author xuye
 * @since 2023/3/13 10:54
 **/
@Slf4j
public class MessageUtil {


    public static boolean isMessageValid(Long produceTimeMillis, Long validMileSeconds) {
        if (ObjectUtils.isEmpty(produceTimeMillis)) {
            return false;
        }
        boolean valid = System.currentTimeMillis() - produceTimeMillis < validMileSeconds;
        if (!valid) {
            LocalDateTime dateTime = MessageUtil.getLocalDateTime(produceTimeMillis);
            log.info("来自[{}]的消息已经过期，不再处理", dateTime);
        }
        return valid;
    }

    public static LocalDateTime getLocalDateTime(Long produceTimeMillis) {
        if (ObjectUtils.isEmpty(produceTimeMillis)) {
            return null;
        }
        return LocalDateTime
                .ofEpochSecond(produceTimeMillis / 1000, 0, ZoneOffset.of("+8"));
    }
}
