package work.xuye.helper.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author xuye
 * @since 2023/1/14 21:50
 **/
@Data
@Component
@ConfigurationProperties(prefix = HelperProperties.PROPERTIES_PREFIX)
public class HelperProperties {

    public static final String PROPERTIES_PREFIX = "helper";

    private Map<String, DataSource> datasourceMap;

    @Data
    public static class DataSource {
        private String url;
        private String username;
        private String password;
    }
}
