package work.xuye.sink.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import work.xuye.common.annotation.ResponseBodyEnhanceController;
import work.xuye.common.db.entity.vo.SqlResult;
import work.xuye.sink.service.JdbcService;
import work.xuye.sink.service.SqlExecutor;

/**
 * @author xuye
 * @since 2023/3/4 14:03
 **/
@Slf4j
@Api(tags = "JDBC")
@RequestMapping("/jdbc")
@RequiredArgsConstructor
@ResponseBodyEnhanceController
public class JdbcController {

    private final JdbcService jdbcService;

    private final SqlExecutor sqlExecutor;

    @PutMapping
    @ApiOperation(value = "强制刷新更新配置")
    public void updateJdbcConfig() {
        jdbcService.forceUpdateJdbcMap();
    }

    @GetMapping("/execute/{id}/{captcha}")
    @ApiOperation(value = "执行SQL")
    public SqlResult execute(@PathVariable Integer id, @PathVariable String captcha) {
        return this.sqlExecutor.executeSql(id, captcha);
    }
    
}
