package work.xuye.sink.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;
import work.xuye.common.properties.CommonProperties;
import work.xuye.sink.yueke.*;

import java.util.List;

/**
 * @author xuye
 * @since 2023/7/4 15:16
 **/
@Slf4j
@Api(tags = "外部请求")
@RestController
@RequestMapping("/open/api")
@RequiredArgsConstructor
public class OpenController {

    private final YueKeRevokeService yueKeRevokeService;
    private final CommonProperties commonProperties;

    @PostMapping("/revoke")
    @ApiOperation(value = "阅客资讯-下架")
    public YueKeResponse revoke(@RequestBody YueKeRevokeNewsIDsVO ids, @RequestHeader(name = "metaData") YueKeRequestModel headerModel) {
        log.info("body: {}, metaData: {}", ids, headerModel);
        yueKeRevokeService.handleRevokeRequest(ids, headerModel);
        return YueKeResponse.of(YueKeResEnum.COMMON_SUCCESS);
    }

    @GetMapping("/debug/{id}")
    @ApiOperation(value = "测试-阅客资讯-下架")
    public YueKeResponse debug(@PathVariable String id) {
        if (commonProperties.isProduction()) {
            throw new UnsupportedOperationException("生产环境不支持该操作");
        }
        yueKeRevokeService.revoke(List.of(id));
        return YueKeResponse.of(YueKeResEnum.COMMON_SUCCESS);
    }


}
