package work.xuye.sink.processor;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.messaging.Message;
import work.xuye.sink.handler.DisappearHandler;
import work.xuye.sink.handler.ItemHandler;

import java.util.Set;
import java.util.function.Consumer;

/**
 * @author xuye
 * @since 2023/1/15 19:00
 **/
@Slf4j
@Configuration
@RequiredArgsConstructor
public class MessageProcessor {

    private final ItemHandler itemHandler;
    private final DisappearHandler disappearHandler;

    @Bean
    public Consumer<Message<String>> handleItem() {
        return itemHandler::handle;
    }

    @Bean
    public Consumer<Message<Set<String>>> handleItemKeys() {
        return disappearHandler::handle;
    }


}
