package work.xuye.sink.yueke;

import java.io.Serializable;

/**
 * @author xuye
 * @since 2023/7/10 09:57
 **/
public enum YueKeResEnum implements Serializable {

    //一般成功,
    COMMON_SUCCESS("10000", "success"),
    //一般失败
    COMMON_ERROR("50000", "error"),

    //11000开头的是权限验证用
    SECURITY_ERROR_11001("11001", "metadata is empty"),
    SECURITY_ERROR_11002("11002", "some params in metadata is empty"),
    SECURITY_ERROR_11003("11003", "timestamp valid time is " + YueKeConstants.VALID_MS / 1000 / 60 + " minutes"),

    SECURITY_ERROR_11006("11006", "sign is not valid"),
    SECURITY_ERROR_11007("11007", "reqId is too short, min length is " + YueKeConstants.REQ_ID_MIN_LENGTH),
    SECURITY_ERROR_11008("11008", "reqId is too long, max length is " + YueKeConstants.REQ_ID_MAX_LENGTH),

    SECURITY_ERROR_11009("11009", "refer is empty"),
    SECURITY_ERROR_11010("11010", "refer is not valid"),

    SECURITY_ERROR_11501("11501", "other error");


    private final String code;
    private final String msg;

    YueKeResEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    @Override
    public String toString() {
        return "APIResponse{" +
                "code='" + code + '\'' +
                ", msg='" + msg + '\'' +
                '}';
    }
}