package work.xuye.source.properties;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

/**
 * @author xuye
 * @since 2023/3/6 17:35
 **/
@Data
@Component
@RefreshScope
@ConfigurationProperties(prefix = SourceProperties.PROPERTIES_PREFIX)
public class SourceProperties {

    public static final String PROPERTIES_PREFIX = "request";
    private Pool pool;
    private Integer timeoutSeconds = 30;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public static class Pool {
        private Integer maxIdleConnections = 20;
        private Integer keepAliveSeconds = 120;
    }

}
