package work.xuye.source.util;

import lombok.extern.slf4j.Slf4j;
import org.springframework.util.ObjectUtils;

import java.nio.charset.Charset;

/**
 * @author xuye
 * @since 2023/4/7 17:06
 **/
@Slf4j
public class CharsetUtil {

    public static Charset getCharsetByName(String charsetName) {
        if (ObjectUtils.isEmpty(charsetName)) {
            return Charset.defaultCharset();
        }
        charsetName = charsetName.trim();
        try {
            return Charset.forName(charsetName);
        } catch (Exception e) {
            log.warn("charsetName is {}, not found, use default charset", charsetName);
            return Charset.defaultCharset();
        }
    }
}
