package work.xuye.transformer.transformer;

import com.google.gson.JsonObject;
import com.google.gson.JsonParser;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author xuye
 * @since 2023/2/18 13:01
 **/
@Slf4j
@Component("resData")
@RequiredArgsConstructor
public class ResDataTransformer implements MessageTransformer {

    @Override
    public String transform(String json, String seedUrl) {
        JsonObject res = JsonParser.parseString(json).getAsJsonObject();
        boolean hasData = res.has("data");
        if (hasData) {
            return res.get("data").getAsString();
        } else {
            log.warn("resData transform failed, res not has data, res: {}", res);
        }
        return null;
    }

}
