package work.xuye.transformer.transformer;

import lombok.extern.slf4j.Slf4j;
import org.json.JSONException;
import org.json.JSONObject;
import org.json.XML;
import org.springframework.stereotype.Component;
import org.springframework.util.ObjectUtils;

/**
 * @author xuye
 * @since 2023/2/18 13:01
 **/
@Slf4j
@Component("xml2json")
public class XmlToJsonTransformer implements MessageTransformer {
    
    @Override
    public String transform(String xml, String seedUrl) {
        if (ObjectUtils.isEmpty(xml)) {
            return null;
        }
        JSONObject jsonObject = null;
        try {
            jsonObject = XML.toJSONObject(xml);
        } catch (JSONException e) {
            log.info("xml2json transform error, xml:{}, seedUrl:{}, exception:{}", xml, seedUrl, e);
            throw new RuntimeException("xml2json transform error, seedUrl:" + seedUrl);
        }
        return jsonObject.toString();
    }

}
