package work.xuye.transformer.transformer;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 基金宝引号转义特殊处理
 * 因为基金报的&quot;需要被转义为"\而不是常规的"
 *
 * @author xuye
 * @since 2023/4/7 21:52
 **/
@Slf4j
@Component("jjbQuotUnescape")
public class jjbQuotUnescapeTransformer implements MessageTransformer {

    @Override
    public String transform(String in, String seedUrl) {
        String out = in.replaceAll("&quot;", "\\\\\"");
        log.debug("jjbQuotUnescapeTransformer in: {}, out: {}", in, out);
        return out;
    }
}
